Subject: Re: bug#44822: 27.1; Regression in `ffap-read-file-or-url'

From: Madhu <[email-masked]>
Date: Mon, 09 Aug 2021 11:51:45 +0530

I couldn't follow the bug report as it always seemed to work for me[1],
but after the fix, if I do an M-x find-file-at-point with the point on
(say) https://debbugs.gnu.org/cgi/bugreport.cgi?bug=44822

I get a minibuffer prompt "Find file or URL" with the default set to the
url and the point at the beginning of the url string

wheras earlier I used to get the same prompt with the point positioned
at the end of the url string.

This makes a difference if i'm using some other system like vertico

1. My defaults for ffap were
(setq ffap-foo-at-bar-prefix nil)
(setq ffap-machine-p-known 'reject)
(setq ffap-machine-p-local 'reject)
(setq ffap-machine-p-unknown 'reject)